#!/bin/bash

#set -x
case "$1" in
	"i"|"")	mode="i"
		filenm="qlogfwinvntry.xml"
		prog="qaucli -pr all -svmtool mode=inventory output=stdout"
		;;
	"p")	mode="p"
		filenm="qlogfwprgmr.xml"
		prog="qaucli -pr all -svmtool mode=update output=stdout fwup=hld10109.bin"
		;;
	*)	exit 1
		;;
esac

[ "$2" == "print" ] && filenm=""
[ "$3" == "print" ] && filenm=""


function ostype() {
	if [ -f /etc/vmware-release ]; then
		echo esx
	else
		local str="$(uname -m)"
		case "$str" in
			i[356]86)	echo 32
					;;
			x86_64)		echo 64
					;;
			*)		echo unsupported
					;;
		esac
	fi
}

os="$(ostype)"
[ "$os" == "unsupported" ] && exit 1
cp -f $os/* ./
if [ -z "$filenm" ]; then
	./$prog | grep -v "^$"
else
	./$prog | grep -v "^$" > "$filenm"
fi
ret=$?

if [ $ret == 0 -a "$mode" ==  "p" ]; then ./UpdRollBack; fi
exit $ret

